namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void TaiYuNewSongButtonHotSong_Click(object sender, EventArgs e)
        {
            // 重置其他按钮背景
            UpdateHotSongButtons(taiYuNewSongButtonHotSong, taiYuNewSongHotSongActiveBackground);

            int songLimit = ReadHotSongLimit(); 
            
            string query = $"SELECT * FROM SongLibrary WHERE `語別` = '台語' ORDER BY `新增日期` DESC LIMIT {songLimit}";
            var selectedSongs = PrimaryForm.Instance.SearchSongs_Mysql(query);
            
            currentPage = 0; 
            currentSongList = selectedSongs; 
            totalPages = (int)Math.Ceiling((double)selectedSongs.Count / itemsPerPage);

            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(currentSongList);
        }
    }
} 

